## Apache Zeta Components Manual :: Docs For Class ezcTreeException

### Tree::ezcTreeException

### Class ezcTreeException

This class provides an exception container for use with the Tree component.

Source for this file: /Tree/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcTreeException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcTreeIdsDoNotMatchException | Exception that is thrown when a node is added through the ArrayAccess interface with a key that is different from the node's ID.
ezcTreeInvalidXmlFormatException | Exception that is thrown when an XML tree document does not validate.
ezcTreeTransactionNotStartedException | Exception that is thrown when "commit()" or "rollback()" are called without a matching "beginTransaction()" call.
ezcTreeInvalidIdException | Exception that is thrown when a node is created with an invalid ID.
ezcTreeTransactionAlreadyStartedException | Exception that is thrown when a transaction is active and "beginTransaction()" is called again.
ezcTreeDataStoreMissingDataException | Exception that is thrown when a node is added through the ArrayAccess interface with a key that is different from the node's ID.
ezcTreeInvalidClassException | Exception that is thrown when a wrong class is used.
ezcTreeUnknownIdException | Exception that is thrown when a node is request through an unknown (non-existing) ID.
ezcTreeInvalidXmlException | Exception that is thrown when an XML tree document is not well-formed.
ezcTreeDbInvalidSchemaException | Exception that is thrown when an incompatible schema is detected with one of the Tree operations.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3